package vip.xiaonuo.money.service;

import vip.xiaonuo.common.pojo.CommonResult;
import vip.xiaonuo.money.entity.MoneyCost;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.money.entity.MoneyProducePrice;
import vip.xiaonuo.money.param.MoneyInOutPageParam;
import vip.xiaonuo.money.param.MoneyInOutParam;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 财务费用分析 服务类
 * </p>
 *
 * @author author
 * @since 2024-11-21
 */
public interface IMoneyCostService extends IService<MoneyCost> {

    //费用分析
    List<MoneyCost> listCost(MoneyInOutParam outParam);

    //费用分析添加
    CommonResult add(MoneyCost moneyCost);

    //费用分析修改
    CommonResult update(MoneyCost moneyCost);

    //费用分析删除
    CommonResult delete(Map<String,String> paramsMap);


    CommonResult page(MoneyInOutPageParam pageParam);
}
